## org.apache.batik.swing.svg
Interface SVGDocumentLoaderListener

All Known Implementing Classes:
  AbstractJSVGComponent.SVGListener, JSVGCanvas.CanvasSVGListener, JSVGComponent.ExtendedSVGListener, JSVGViewerFrame, SVGDocumentLoaderAdapter, ThumbnailDialog.ThumbnailDocumentListener

    public interface SVGDocumentLoaderListener

This interface represents a listener to the SVGDocumentLoaderEvent events.

Method Summary
`void` `documentLoadingCancelled(SVGDocumentLoaderEvent e)` Called when the loading of a document was cancelled.
`void` `documentLoadingCompleted(SVGDocumentLoaderEvent e)` Called when the loading of a document was completed.
`void` `documentLoadingFailed(SVGDocumentLoaderEvent e)` Called when the loading of a document has failed.
`void` `documentLoadingStarted(SVGDocumentLoaderEvent e)` Called when the loading of a document was started.

Method Detail

### documentLoadingStarted

    void documentLoadingStarted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was started.

### documentLoadingCompleted

    void documentLoadingCompleted(SVGDocumentLoaderEvent e)

  Called when the loading of a document was completed.

### documentLoadingCancelled

    void documentLoadingCancelled(SVGDocumentLoaderEvent e)

  Called when the loading of a document was cancelled.

### documentLoadingFailed

    void documentLoadingFailed(SVGDocumentLoaderEvent e)

  Called when the loading of a document has failed.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.